<div class="card">
    <div class="card-header">
        <strong th:text="${title}"></strong>
        <small th:text="${subTitle}"></small>
    </div>
    <div class="card-block">

        <form th:action="${postUrl}" th:object="${client}" method="post">
            <div  th:each="e : ${elements}">
                <div class="form-group row">
                    
                    <label class="col-md-4 col-form-label" th:for="${e.name}" th:text="#{${e.name}}"></label>
                    <div th:switch="${e.type}" class="col-md-8">
                        <span th:case="'class java.lang.Long'">
                            <input type="number" class="form-control-sm" th:id="${e.name}" th:name="${e.name}" th:value="${e.value}"/>                        
                        </span>                    
                        <span th:case="'class java.util.Date'">
                            <span th:if="${e.value != null}">
                                <input type="date" class="form-control-sm" th:id="${e.name}" th:name="${e.name}" th:value="${#dates.format(e.value, 'yyyy-MM-dd')}"/>
                            </span>
                            <span th:if="${e.value == null}">
                                <input type="date" class="form-control-sm" th:id="${e.name}" th:name="${e.name}"/>
                            </span>
                        </span>
                        <span th:case="*">
                            <input type="text" class="form-control-sm" th:id="${e.name}" th:name="${e.name}" th:value="${e.value}"/>                        
                        </span>                    
                    </div>
                    
                </div>
            </div>
            <br/>
            <br/>
            <div>
                <button class="btn btn-danger" data-dismiss="modal">Cancelar</button>
                <button class="btn btn-success pull-right" id="save">Guardar</button>
            </div>
        </form>
    </div>
</div>



<!--<div class="form-group row">
    <label class="col-md-3 col-form-label" for="hf-email">Email</label>
    <div class="col-md-9">
        <input id="hf-email" name="hf-email" class="form-control" placeholder="Enter Email.." type="email">
        <span class="help-block">Please enter your email</span>
    </div>
</div>
<div class="form-group row">
    <label class="col-md-3 col-form-label" for="hf-password">Password</label>
    <div class="col-md-9">
        <input id="hf-password" name="hf-password" class="form-control" placeholder="Enter Password.." type="password">
        <span class="help-block">Please enter your password</span>
    </div>
</div>-->

